%define oname 	libmad
%define major  	0
%define libname %mklibname mad %{major}
%define develname %mklibname -d mad

Summary:	High-quality MPEG Audio Decoder
Name:		mad
Version:	0.15.1b
%define subrel	2
Release:	%mkrel 17
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.underbit.com/products/mad/
Source0:	http://prdownloads.sourceforge.net/mad/%oname-%version.tar.bz2
Source2:	mad.pc.bz2
Patch0:		libmad-no_-fforce-mem.diff
Patch1:		libmad-0.15.1b-automake-1.13.patch
Patch2:		contrib_src_mad_check-bitstream-length--mod2.patch

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should 
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %{libname}
Summary:        High-quality MPEG Audio Decoder
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %develname
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes: 	%{name}-devel
Obsoletes:	%mklibname -d mad 0

%description -n %develname
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.
 
If you are going to develop programs which will use the %{name} library
you should install this.
 

%prep
%setup -q -n %oname-%version
%patch0 -p0
%patch1 -p1 -b .automake-1_13
%patch2 -p1 -b .mp3-crash

%build
rm -f configure
touch NEWS AUTHORS ChangeLog
autoreconf -fis

%configure2_5x
%make

%install
%makeinstall

%find_lang %{name}

mkdir -p %buildroot/%_libdir/pkgconfig
bzip2 -cd %SOURCE2 | sed -e 's,/lib$,/%{_lib},' >%buildroot/%_libdir/pkgconfig/mad.pc
perl -pi -e "s/0.14.2b/%version/" %buildroot/%_libdir/pkgconfig/mad.pc

%multiarch_includes %buildroot%{_includedir}/mad.h



%files -n %{libname}
%doc COPYING
%{_libdir}/libmad.so.%{major}*

%files -n %develname
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%_libdir/pkgconfig/*
%{_includedir}/*
%multiarch %{multiarch_includedir}/*.h




%changelog
* Mon Jun 20 2016 shlomif <shlomif> 0.15.1b-17.2.mga5
+ Revision: 1036910
- Merge from cauldron: MGA#18736.
- Hopefully fix MGA#18709: broke ABI+mp3 playback artifacts.

  + luigiwalser <luigiwalser>
    - add patch from VLC to fix buffer overread and crash

* Wed Oct 15 2014 umeabot <umeabot> 0.15.1b-16.mga5
+ Revision: 741493
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15.1b-15.mga5
+ Revision: 727066
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15.1b-14.mga5
+ Revision: 682120
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.15.1b-13.mga4
+ Revision: 507705
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.15.1b-12.mga3
+ Revision: 359263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.15.1b-11.mga3
+ Revision: 339972
- rpm group System/Libraries
- patch1: fix build with automake 1.13

* Fri Jan 14 2011 mikala <mikala> 0.15.1b-10.mga1
+ Revision: 18030
- Drop mdk macros
- imported package mad

